Subject: [RFC][PATCH] U-Boot: Adding usb(otg) host support patch

From: yanfeng qin <connieqin1975@gmail.com>

This patch is adding usb(otg) host support for beagleboard.

Signed-off-by: yanfeng qin <connieqin1975@gmail.com>
Signed-off-by: garylu312 <garylu312@gmail.com>

---
Patch against omap3-dev-usb

 drivers/usb/Makefile           |   12 +++---------
 include/configs/omap3_beagle.h |    9 +++++----
 include/usb.h                  |    6 +-----
 3 files changed, 9 insertions(+), 18 deletions(-)

Index: u-boot-steve-omap3/drivers/usb/Makefile
===================================================================
--- u-boot-steve-omap3.orig/drivers/usb/Makefile
+++ u-boot-steve-omap3/drivers/usb/Makefile
@@ -31,17 +31,11 @@ COBJS-$(CONFIG_USB_OHCI_NEW) += usb_ohci
 COBJS-$(CONFIG_USB_EHCI) += usb_ehci_core.o
 
 # host
-COBJS-$(CONFIG_USB_ISP116X_HCD) += isp116x-hcd.o
-COBJS-$(CONFIG_USB_R8A66597_HCD) += r8a66597-hcd.o
-COBJS-$(CONFIG_USB_SL811HS) += sl811_usb.o
-COBJS-$(CONFIG_USB_EHCI_FSL) += usb_ehci_fsl.o
-COBJS-$(CONFIG_USB_EHCI_PCI) += usb_ehci_pci.o
-COBJS-$(CONFIG_USB_EHCI_IXP4XX) += usb_ehci_ixp.o
+ifdef CONFIG_USB_HOST
 COBJS-$(CONFIG_MUSB_HCD) += musb_hcd.o musb_core.o
-COBJS-$(CONFIG_USB_DAVINCI) += davinci_usb.o
-COBJS-$(CONFIG_USB_EHCI_VCT) += usb_ehci_vct.o
 COBJS-$(CONFIG_USB_OMAP3530) += omap3530_usb.o
-
+COBJS-$(CONFIG_TWL4030_USB) += twl4030_usb.o
+endif
 # device
 ifdef CONFIG_USB_DEVICE
 COBJS-y += usbdcore_ep0.o
Index: u-boot-steve-omap3/include/configs/omap3_beagle.h
===================================================================
--- u-boot-steve-omap3.orig/include/configs/omap3_beagle.h
+++ u-boot-steve-omap3/include/configs/omap3_beagle.h
@@ -103,11 +103,12 @@
 /*
  * USB Configuration
  */
-#define CONFIG_USB_DEVICE	1
-#define CONFIG_USB_TTY		1
-#define CONFIG_MUSB		1 /* Enable USB driver*/
+#define CONFIG_MUSB_HCD		1 /* Enable USB driver*/
 #define CONFIG_TWL4030_USB      1 /* Enable TWL4030 USB */
-
+#define CONFIG_USB_STORAGE
+#define CONFIG_USB_OMAP3530
+#define CONFIG_USB_HOST
+#define CONFIG_CMD_USB
 /* Allow console in serial and USB at the same time */
 #define CONFIG_CONSOLE_MUX	1
 #define CONFIG_SYS_CONSOLE_IS_IN_ENV 1
Index: u-boot-steve-omap3/include/usb.h
===================================================================
--- u-boot-steve-omap3.orig/include/usb.h
+++ u-boot-steve-omap3/include/usb.h
@@ -180,11 +180,7 @@ struct usb_device {
  * this is how the lowlevel part communicate with the outer world
  */
 
-#if defined(CONFIG_USB_UHCI) || defined(CONFIG_USB_OHCI) || \
-	defined(CONFIG_USB_EHCI) || defined(CONFIG_USB_OHCI_NEW) || \
-	defined(CONFIG_USB_SL811HS) || defined(CONFIG_USB_ISP116X_HCD) || \
-	defined(CONFIG_USB_R8A66597_HCD) || defined(CONFIG_USB_DAVINCI) || \
-	defined(CONFIG_USB_OMAP3530)
+#if defined(CONFIG_MUSB_HCD)
 
 int usb_lowlevel_init(void);
 int usb_lowlevel_stop(void);
